## org.apache.lucene.search
Class PrefixFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.PrefixFilter

All Implemented Interfaces:
  Serializable

    public class PrefixFilter

extends Filter

Version:
  $Id$
See Also:
  Serialized Form

Field Summary
`protected Term` `prefix`

Constructor Summary
`PrefixFilter(Term prefix)`

Method Summary
`BitSet` `bits(IndexReader reader)` Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.
`Term` `getPrefix()`
`String` `toString()` Prints a user-readable version of this query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    protected final Term prefix

Constructor Detail

### PrefixFilter

    public PrefixFilter(Term prefix)

Method Detail

### getPrefix

    public Term getPrefix()

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Description copied from class: `Filter`
  Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### toString

    public String toString()

  Prints a user-readable version of this query.

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.